<?php
/**
 * A 3-column XHTML interface
 * A VDP-Digital [url]http://www.vdp-digital.com[/url] free template for Yacs CMS
  * Also, the main [code]body[/code] has an id, which is the skin variant, and a class, which is "extra" when $context['extra'] is not empty.
 *
 * These can be combined in the style sheet to match particular situations. Some examples:
 * - body#home -- at the front page
 * - body#sections -- section page, or section index
 * - body#articles -- regular page, or index of articles
 * - body.extra -- when some extra content has been inserted in the page
 *
 * This template includes the nicetitle library to enhance surfer experience.
 * @link http://kryogenix.org/code/browser/nicetitle/ Nice titles
 * @license http://www.gnu.org/copyleft/lesser.txt GNU Lesser General Public License
 */

// stop hackers
defined('YACS') or exit('Script must be included');

// build the prefix only once
if(!isset($context['embedded']) || ($context['embedded'] == 'prefix')) {

	// add language information, if known
	if(isset($context['page_language']))
		$language = ' xml:lang="'.$context['page_language'].'" ';
	else
		$language = '';

	// start the page
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">'."\n"
		.'<html '.$language.' xmlns="http://www.w3.org/1999/xhtml">'."\n"
		.'<head>'."\n";

	// give the charset to the w3c validator...
	echo "\t".'<meta http-equiv="Content-Type" content="'.$context['content_type'].'; charset='.$context['charset'].'" />'."\n";

	// we have one style sheet for everything -- media="all" means it is not loaded by Netscape Navigator 4
	echo "\t".'<link rel="stylesheet" href="'.$context['url_to_root'].'skins/Bonbon/Bonbon.css" type="text/css" media="all" />'."\n";

	// implement the 'you are here' feature
	if($focus = Page::top_focus()) {
		echo "\t".'<style type="text/css" media="screen">'."\n"
			."\t\t".'#tabs li#'.$focus.' a {'."\n"
	  		."\t\t\t".'background-position: 0% -42px;'."\n"
			."\t\t".'}'."\n"
			."\n"
			."\t\t".'#tabs li#'.$focus.' a span {'."\n"
	  		."\t\t\t".'color: #fff;'."\n"
	  		."\t\t\t".'background-position: 100% -42px;'."\n"
			."\t\t".'}'."\n"
			."\n"
			."\t\t".'#tabs li#'.$focus.' a:hover span {'."\n"
	  		."\t\t\t".'color: #0075BB;'."\n"
			."\t\t".'}'."\n"
			."\t".'</style>'."\n";
	}

	// set icons for this site
	if(!$context['site_icon']) {
		echo "\t".'<link rel="shortcut icon" href="'.$context['url_to_root'].'skins/Bonbon/bonbonskin.ico" type="image/x-icon" />'."\n";
		echo "\t".'<link rel="icon" href="'.$context['url_to_root'].'skins/Bonbon/bonbonskin.ico" type="image/x-icon" />'."\n";
	}

	// other head directives
	echo $context['page_header'];

	// end of the header
	echo '</head>'."\n";

	// start the body
	Page::body();
	
	// the header panel comes before everything
	echo '<div id="header_panel">'."\n";
	
	// surfer tips
	echo '<p id="header_left">';

	// if logged, mention it
	if(Surfer::is_logged()) {
		$local = array();
		$local['label_en'] = 'Go to my user profile';
		$local['label_fr'] = 'Voir ma fiche d\'utilisateur';
		echo Skin::build_link(Users::get_url(Surfer::get_id(), 'view', Surfer::get_name()), ucfirst(Surfer::get_name()), 'user', i18n::l($local, 'label')).' &nbsp; ';
	} else {
		$local = array();
		$local['login_en'] = 'Login';
		$local['login_fr'] = 'Se connecter';
		$local['authenticate_en'] = 'Authenticate to this server';
		$local['authenticate_fr'] = 'Vous authentifier';
		echo Skin::build_link('users/login.php', i18n::l($local, 'login'), 'basic', i18n::l($local, 'authenticate')).' &nbsp; ';
	}

	// size the text
	echo '<a href="javascript:ts(\'main_panel\',1)" title="'.i18n::s('Augment text size').'">A+</a> &nbsp; <a href="javascript:ts(\'main_panel\',-1)" title="'.i18n::s('Reduce text size').'">A-</a>';
	echo '</p>'."\n";
		
	// the site name -- can be replaced, through CSS, by an image -- access key 1
	if($context['site_name'] && is_callable(array('i18n', 's')))
	echo "\t".'<p id="header_title"><a href="'.$context['url_to_root'].'" title="'.encode_field(i18n::s('Front page')).'" accesskey="1">'.$context['site_name'].'</a></p>'."\n";
		
	// horizontal tabs -- no tab to the front page
	Page::tabs(); 
	
	// end of the header panel
	echo '</div>'."\n";
	
	// clouds on the left
	echo '<div id="overall_wrapper">'."\n";
	
	// display bread crumbs if not at the front page; if not defined, only the 'Home' link will be displayed
	if($context['skin_variant'] != 'home')
		Page::bread_crumbs(1, TRUE);
		
	// else use site slogan
	elseif($context['site_slogan'])
		echo '<p id="crumbs">'.$context['site_slogan'].'</p>'."\n";

	// several columns in the middle
	echo '<div id="wrapper">'."\n";

	// display complementary information, if any
	Page::extra_panel();

	// the main panel
	echo '<div id="main_panel">'."\n";

	// display main content
	Page::content();

// prefix ends here
}

// build the suffix only once
if(!isset($context['embedded']) || ($context['embedded'] == 'suffix')) {

	// separator for text readers
	echo '<hr class="hide" />'."\n";

	// end of the main panel
	echo '</div>'."\n";
	// the footer panel
	echo '<div id="footer_panel">';

	// page footer -- we have been validated, add a nice rss button and other informations
	$prefix = '<a href="http://validator.w3.org/check?uri=referer"><img src="'.$context['url_to_root'].$context['skin'].'/images/w3c_xhtml.gif" alt="XHTML 1.0!" height="15" width="80" /></a><br />';
	$suffix = ' '.Skin::build_link('feeds/rss_2.0.php', '<img src="'.$context['url_to_root'].$context['skin'].'/images/rss.gif" alt="RSS" height="10" width="10"/>', 'basic');
	Page::footer($prefix, $suffix);
	
	// little link for designer
	echo '<p class="footer_design">Skin Yacs by <a href="http://www.vdp-digital.com" title="VDP-Digital Nice - Graphisme Web">VDP-Digital</a></p>';
	
	// end of the footer panel
	echo '</div>'."\n";
	// separator for text readers
	echo '<hr class="hide" />'."\n";

	// end of the main wrapper
	echo '</div>'."\n";
	
	// end of overall wrapper
	echo '</div>'."\n";
	
	// the side panel
	echo '<div id="side_panel">'."\n";

	// display side content
	Page::side();

	// end of the side panel
	echo '</div>';

	// insert the footer
    echo $context['page_footer'];
	
	// nice titles
	echo "\t".'<script type="text/javascript" src="'.$context['url_to_root'].'skins/Bonbon/nicetitle.js"></script>'."\n";
	
	// text sizer
	echo "\t".'<script type="text/javascript" src="'.$context['url_to_root'].'skins/Bonbon/textsizer.js"></script>'."\n";
	
	// end of page
	echo '</body>'."\n"
		.'</html>';

// suffix ends here
}

?>